[![PyPI][pypi-image]][pypi-link]

  [pypi-image]: https://img.shields.io/pypi/v/mkdocs-custommill.svg
  [pypi-link]: https://pypi.python.org/pypi/mkdocs-custommill

# CustomMill theme for [MkDocs](https://github.com/mkdocs/mkdocs/)
Another iteration on the awesome [Windmill theme](https://github.com/gristlabs/mkdocs-windmill) for MkDocs. This is permitted by the MIT License.

Highlights:
- Clean navigation for large documentation projects
- Retains the state of the menu across page transitions
- Versatile search with term highlighting in a quick search and on its own page
- Supports syntax highlighting within pages
- Deep nesting of pages in folders

## Improvements over Windmill

- Customizable colors!
- Customizable links in the navigation menu
- A lot of small stylistic and design fixes
- Better search result listing
- Bootstrap 5 and no more jQuery

## Quick start

To install using `pip`:
``` sh
pip install mkdocs-custommill
```

To use in `mkdocs.yml`:
``` yaml
theme: custommill
```

## Demo and documentation
See [here](https://siphalor.github.io/mkdocs-custommill/) for a demo and some documentation :)

## Development

If doing development on `mkdocs-custommill`, check it out with
``` sh
git clone https://github.com/Siphalor/mkdocs-custommill/
cd mkdocs-custommill
```

